Name: installer-office-server
Version: 0.2
Release: alt11.M40.2
Packager: Grigory Batalov <bga@altlinux.org>

Summary: Installer common files
License: GPL
Group: System/Configuration/Other

Source: %name-%version.tar

BuildRequires: alterator rpm-devel
BuildArch: noarch

%description
Installer common files

%package stage2
Summary: Installer stage2
License: GPL
Group: System/Configuration/Other
Requires: %name = %version-%release
Requires: installer-stage2
#modules
Requires: alterator-sysconfig
Requires: alterator-license
Requires: alterator-tzone openntpd
Requires: alterator-datetime
Requires: alterator-vm
Requires: x-cursor-theme-jimmac

%description stage2
Installer stage2

%package stage3
Summary: Installer stage3
License: GPL
Group: System/Configuration/Other
Requires: %name = %version-%release
Requires: installer-stage3
#modules
Requires: alterator-lilo
Requires: alterator-users-chainmail
Requires: alterator-apt
Requires: alterator-net-eth dhcpcd
Requires: alterator-net-general

%description stage3
Installer stage3

%prep
%setup -q

%install
%makeinstall

%find_lang alterator-office-server

%files -f alterator-office-server.lang
#%%_datadir/install2/help/*

%files stage2
%_datadir/install2/installer-steps
%_datadir/install2/postinstall.d/*
%_datadir/install2/steps/*

%files stage3
%_datadir/alterator/ui/office-server

%changelog
* Sat Jun 07 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt11.M40.2
- Require alterator-users-chainmail instead of alterator-users on stage3.

* Tue May 27 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt11.M40.1
- Postinstall hook 09-openldap.sh :
  + Exit with success code if no openldap alterator backend found
- Postinstall hook 11-openssl.sh :
  + Check config presence before modifying

* Thu May 15 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt10.M40.1
- Backport to branch 4.0.

* Tue May 06 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt10
- Use common remove-installer-pkgs hook only (remove custom one)
- Use system finish step
- Use alterator help pages instead of installer custom
- Postinstall hook 04-alterator-iptables.sh :
  + Use alterator-cmdline interface to reset iptables
- Postinstall hook 10-postfix.sh :
  + Make postfix listen SMTP port by default
- Postinstall hook 11-openssl.sh :
  + Update Dovecot and OpenLDAP SSL configs with the hostname
  + Set OpenLDAP sertificate and key file
- Postinstall hook 12-dovecot.sh :
  + Enable workarounds for Microsoft Outlook and Outlook Express bugs
- Postinstall hook 13-amanda.sh :
  + Remove default backup configuration

* Tue Apr 22 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt9
- OpenLDAP hook: hide stderr messages as well

* Fri Apr 18 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt8
- Remove some tricks from openldap postinstall hook.

* Thu Apr 03 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt7
- OpenLDAP hook: check if backend is present.
- Build as noarch.

* Mon Mar 03 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt6
- Hook to disable default dhcp daemon start up.
- Hook to setup default OpenLDAP database.
- After install remove alterator-wizardface as well.

* Fri Jan 11 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt5
- Mail quota hook.

* Fri Dec 14 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt4
- Xinetd hook to disable localhost-only access.
- Check alterator-firewall backend presence before call.

* Mon Nov 19 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt3
- Alterator-ulogd hook.

* Mon Nov 19 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt2
- Use $destdir in postinstall hooks.

* Wed Oct 10 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt1
- Merge installer-hpc-0.2-alt2.
- Add translations.
- Alterator-iptables hook.
- Carry finish step (finish.scm).

* Sat Sep 08 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt1
- Initial build based on installer-hpc.
